#
# spec file for package plasma6-desktop
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


# TODO sort
# Internal QML imports
%global __requires_exclude qt6qmlimport\\((org\\.kde\\.plasma\\.shell\\.panel|org\\.kde\\.plasma\\.private).*
# %%global __requires_exclude qt6qmlimport\\((org\\.kde\\.private\\.kcms|org\\.kde\\.plasma\\.kcm|org\\.kde\\.desktopsession\\.private|org\\.kde\\.plasma\\.tablet|org\\.kde\\.plasma\\.touchscreen\\.kcm).*

%define kf6_version 6.5.0
%define qt6_version 6.7.0

%define rname plasma-desktop
# Full Plasma 6 version (e.g. 6.0.0)
%{!?_plasma6_bugfix: %define _plasma6_bugfix %{version}}
# Latest ABI-stable Plasma (e.g. 6.0 in KF6, but 6.0.80 in KUF)
%{!?_plasma6_version: %define _plasma6_version %(echo %{_plasma6_bugfix} | awk -F. '{print $1"."$2}')}
%bcond_without released
Name:           plasma6-desktop
Version:        6.2.5
Release:        1.3
Summary:        The KDE Plasma Workspace Components
License:        GPL-2.0-only
URL:            https://www.kde.org/
Source:         https://download.kde.org/stable/plasma/%{version}/%{rname}-%{version}.tar.xz
%if %{with released}
Source1:        https://download.kde.org/stable/plasma/%{version}/%{rname}-%{version}.tar.xz.sig
Source2:        plasma.keyring
%endif
# PATCH-FIX-OPENSUSE
Patch100:       0001-Apply-branding-to-default-favorites.patch
BuildRequires:  fdupes
BuildRequires:  kf6-extra-cmake-modules >= %{kf6_version}
# Due to KWinDBusInterface not having a cmake version config file, we need to BR kwin6-devel instead
# BuildRequires:  cmake(KWinDBusInterface) >= %%{_plasma6_bugfix}
# Also applies to ScreenSaverDBusInterface
# BuildRequires:  cmake(ScreenSaverDBusInterface) >= %%{_plasma6_bugfix}
BuildRequires:  kscreenlocker6-devel >= %{_plasma6_bugfix}
BuildRequires:  kwin6-devel >= %{_plasma6_bugfix}
BuildRequires:  qt6-gui-private-devel >= %{qt6_version}
BuildRequires:  update-desktop-files
BuildRequires:  cmake(KAccounts6)
BuildRequires:  cmake(KF6Attica) >= %{kf6_version}
BuildRequires:  cmake(KF6Auth) >= %{kf6_version}
BuildRequires:  cmake(KF6Baloo) >= %{kf6_version}
BuildRequires:  cmake(KF6Codecs) >= %{kf6_version}
BuildRequires:  cmake(KF6Config) >= %{kf6_version}
BuildRequires:  cmake(KF6CoreAddons) >= %{kf6_version}
BuildRequires:  cmake(KF6Crash) >= %{kf6_version}
BuildRequires:  cmake(KF6DBusAddons) >= %{kf6_version}
BuildRequires:  cmake(KF6DocTools) >= %{kf6_version}
BuildRequires:  cmake(KF6GlobalAccel) >= %{kf6_version}
BuildRequires:  cmake(KF6GuiAddons) >= %{kf6_version}
BuildRequires:  cmake(KF6I18n) >= %{kf6_version}
BuildRequires:  cmake(KF6IconThemes) >= %{kf6_version}
BuildRequires:  cmake(KF6ItemModels) >= %{kf6_version}
BuildRequires:  cmake(KF6KCMUtils) >= %{kf6_version}
BuildRequires:  cmake(KF6KDED) >= %{kf6_version}
BuildRequires:  cmake(KF6KIO) >= %{kf6_version}
BuildRequires:  cmake(KF6KirigamiPlatform) >= %{kf6_version}
BuildRequires:  cmake(KF6NewStuff) >= %{kf6_version}
BuildRequires:  cmake(KF6Notifications) >= %{kf6_version}
BuildRequires:  cmake(KF6NotifyConfig) >= %{kf6_version}
BuildRequires:  cmake(KF6Package) >= %{kf6_version}
BuildRequires:  cmake(KF6QQC2DesktopStyle) >= %{kf6_version}
BuildRequires:  cmake(KF6Runner) >= %{kf6_version}
BuildRequires:  cmake(KF6Sonnet) >= %{kf6_version}
BuildRequires:  cmake(KF6Svg) >= %{kf6_version}
BuildRequires:  cmake(KF6WidgetsAddons) >= %{kf6_version}
BuildRequires:  cmake(KF6WindowSystem) >= %{kf6_version}
BuildRequires:  cmake(KF6XmlGui) >= %{kf6_version}
BuildRequires:  cmake(KRunnerAppDBusInterface) >= %{_plasma6_bugfix}
BuildRequires:  cmake(KSMServerDBusInterface) >= %{_plasma6_bugfix}
BuildRequires:  cmake(KSysGuard) >= %{_plasma6_bugfix}
BuildRequires:  cmake(LibColorCorrect) >= %{_plasma6_bugfix}
BuildRequires:  cmake(LibKWorkspace) >= %{_plasma6_bugfix}
BuildRequires:  cmake(LibNotificationManager) >= %{_plasma6_bugfix}
BuildRequires:  cmake(LibTaskManager) >= %{_plasma6_bugfix}
BuildRequires:  cmake(Plasma) >= %{_plasma6_bugfix}
BuildRequires:  cmake(Plasma5Support) >= %{_plasma6_bugfix}
BuildRequires:  cmake(PlasmaActivities) >= %{_plasma6_bugfix}
BuildRequires:  cmake(PlasmaActivitiesStats) >= %{_plasma6_bugfix}
BuildRequires:  cmake(PlasmaQuick) >= %{_plasma6_bugfix}
BuildRequires:  cmake(PlasmaWaylandProtocols) >= 1.10.0
BuildRequires:  cmake(Qt6Concurrent)  >= %{qt6_version}
BuildRequires:  cmake(Qt6Core5Compat) >= %{qt6_version}
BuildRequires:  cmake(Qt6DBus) >= %{qt6_version}
BuildRequires:  cmake(Qt6Qml) >= %{qt6_version}
BuildRequires:  cmake(Qt6Quick) >= %{qt6_version}
BuildRequires:  cmake(Qt6QuickWidgets) >= %{qt6_version}
BuildRequires:  cmake(Qt6Sql) >= %{qt6_version}
BuildRequires:  cmake(Qt6Svg) >= %{qt6_version}
BuildRequires:  cmake(Qt6Test) >= %{qt6_version}
BuildRequires:  cmake(Qt6WaylandClient) >= %{qt6_version}
BuildRequires:  cmake(Qt6Widgets) >= %{qt6_version}
BuildRequires:  cmake(packagekitqt6)
BuildRequires:  cmake(sdl2)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(ibus-1.0)
BuildRequires:  pkgconfig(icu-i18n)
BuildRequires:  pkgconfig(icu-uc)
BuildRequires:  pkgconfig(libcanberra)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(scim)
BuildRequires:  pkgconfig(signon-oauth2plugin)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(x11-xcb)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-atom)
BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(xcb-keysyms)
BuildRequires:  pkgconfig(xcb-record)
BuildRequires:  pkgconfig(xcb-shm)
BuildRequires:  pkgconfig(xcb-xinput)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(xkbfile)
BuildRequires:  pkgconfig(xkbregistry)
%ifnarch s390x
BuildRequires:  pkgconfig(xorg-evdev)
BuildRequires:  pkgconfig(xorg-libinput)
BuildRequires:  pkgconfig(xorg-server)
%endif
BuildRequires:  xkeyboard-config
Requires:       plasma6-desktop-branding = %{version}
Requires:       plasma6-workspace >= %{_plasma6_bugfix}
# Required by the 'recent files' kcm
Requires:       qt6-sql-sqlite >= %{qt6_version}
# Hardcode versions of libplasma6-components, as upstream doesn't keep backwards compability there
%requires_ge    libplasma6-components
# Various KCMs use it
Requires:       kinfocenter6
Requires:       kf6-kirigami-imports >= %{kf6_version}
Requires:       kirigami-addons6 >= 1.0.0
Requires:       kmenuedit6
# Needed for sensors
Requires:       libksysguard6-imports  >= %{_plasma6_bugfix}
# kcm_style does DBus calls to the KDED module.
# However, that depends on xsettingsd and gio, so
# let the Supplements in kde-gtk-config5 handle it.
Requires:       kde-gtk-config6
# Needed for several KCMs
Requires:       kf6-knewstuff-imports >= %{kf6_version}
# needed for the ActivityManager
Requires:       plasma6-activities-imports >= %{_plasma6_bugfix}
# Only when WebEngine is available
%ifarch aarch64 x86_64 riscv64
# Needed for the OpenDesktop integration
Requires:       signon-plugin-oauth2
%endif
Conflicts:      kactivities5 < 5.20.0
Recommends:     plasma6-addons
Recommends:     plasma6-desktop-emojier
Recommends:     xdg-user-dirs
Provides:       kdebase4-workspace = 5.3.0
Obsoletes:      kdebase4-workspace < 5.3.0
Provides:       kcm-touchpad = %{version}
Obsoletes:      kcm-touchpad < %{version}
Provides:       kdebase4-workspace-plasma-calendar = %{version}
Obsoletes:      kdebase4-workspace-plasma-calendar < %{version}
Provides:       kdebase4-workspace-plasma-engine-akonadi = %{version}
Obsoletes:      kdebase4-workspace-plasma-engine-akonadi < %{version}
Conflicts:      kio-extras5 <= 5.3.2
Provides:       kcm-touchpad5 = %{version}
Obsoletes:      kcm-touchpad5 < %{version}
Provides:       plasma5-desktop-branding-upstream = %{version}
Provides:       plasma6-desktop-branding = %{version}
Obsoletes:      plasma5-desktop-branding-upstream < %{version}
Provides:       plasma5-desktop = %{version}
Obsoletes:      plasma5-desktop < %{version}
Obsoletes:      plasma5-desktop-lang < %{version}
Provides:       plasma5-addons-kimpanel = %{version}
Obsoletes:      plasma5-addons-kimpanel < %{version}
Provides:       plasma5-desktop-kimpanel = %{version}
Obsoletes:      plasma5-desktop-kimpanel < %{version}
Requires:       (plasma6-kimpanel-ibus if ibus)
Requires:       (plasma6-kimpanel-scim if scim)

%if %{pkg_vcmp cmake(sdl2) >= 2.0.16}
%bcond_without gamecontroller_kcm
%endif

%description
This package contains the basic packages for a Plasma workspace.

%package emojier
Summary:        Selection window for emoji text input
Requires:       plasma6-desktop = %{version}
# Other color fonts don't really work that well
Recommends:     noto-coloremoji-fonts
Provides:       plasma5-desktop-emojier = %{version}
Obsoletes:      plasma5-desktop-emojier < %{version}

%description emojier
Press Meta+. to open an emoji selection window.

%package -n plasma6-kimpanel-ibus
Summary:        Plasma 6 IBus Configuration
Requires:       %{name} = %{version}

%description -n plasma6-kimpanel-ibus
Plasma 6 Input Method Backend for IBus support.

%package -n plasma6-kimpanel-scim
Summary:        Plasma 6 SCIM Configuration
Requires:       %{name} = %{version}

%description -n plasma6-kimpanel-scim
Plasma 6 Input Method Backend for SCIM (Smart Chinese/Common Input Method) support.

%lang_package

%prep
%autosetup -p1 -n %{rname}-%{version}

%build
%cmake_kf6 \
%ifarch s390x
  -DBUILD_KCM_TOUCHPAD_X11:BOOL=FALSE \
  -DBUILD_KCM_MOUSE_X11=OFF
%endif

%kf6_build

%install
%kf6_install

# no devel files needed here
rm -rv %{buildroot}%{_kf6_sharedir}/dbus-1/interfaces/

%find_lang %{name} --all-name --with-html

%fdupes %{buildroot}%{_prefix}

%post
%ldconfig
%{systemd_user_post plasma-kaccess.service}

%preun
%{systemd_user_preun plasma-kaccess.service}

%postun
%ldconfig
%{systemd_user_postun plasma-kaccess.service}

%files
%license COPYING*
%doc %lang(en) %{_kf6_htmldir}/en/*/
%{_kf6_applicationsdir}/kaccess.desktop
%{_kf6_applicationsdir}/kcm_access.desktop
%{_kf6_applicationsdir}/kcm_activities.desktop
%{_kf6_applicationsdir}/kcm_baloofile.desktop
%{_kf6_applicationsdir}/kcm_clock.desktop
%{_kf6_applicationsdir}/kcm_componentchooser.desktop
%{_kf6_applicationsdir}/kcm_desktoppaths.desktop
%if %{with gamecontroller_kcm}
%{_kf6_applicationsdir}/kcm_gamecontroller.desktop
%endif
%{_kf6_applicationsdir}/kcm_kded.desktop
%{_kf6_applicationsdir}/kcm_keyboard.desktop
%{_kf6_applicationsdir}/kcm_keys.desktop
%{_kf6_applicationsdir}/kcm_krunnersettings.desktop
%{_kf6_applicationsdir}/kcm_landingpage.desktop
%{_kf6_applicationsdir}/kcm_plasmasearch.desktop
%{_kf6_applicationsdir}/kcm_qtquicksettings.desktop
%{_kf6_applicationsdir}/kcm_recentFiles.desktop
%{_kf6_applicationsdir}/kcm_smserver.desktop
%{_kf6_applicationsdir}/kcm_solid_actions.desktop
%{_kf6_applicationsdir}/kcm_splashscreen.desktop
%{_kf6_applicationsdir}/kcm_tablet.desktop
%{_kf6_applicationsdir}/kcm_touchscreen.desktop
%{_kf6_applicationsdir}/kcm_workspace.desktop
%{_kf6_applicationsdir}/kcmspellchecking.desktop
%{_kf6_applicationsdir}/kde-mimeapps.list
%{_kf6_applicationsdir}/org.kde.knetattach.desktop
%{_kf6_applicationsdir}/kcm_mouse.desktop
%{_kf6_applicationsdir}/kcm_touchpad.desktop
%{_kf6_appstreamdir}/*.xml
%{_kf6_bindir}/kaccess
%{_kf6_bindir}/knetattach
%{_kf6_bindir}/krunner-plugininstaller
%{_kf6_bindir}/solid-action-desktop-gen
%{_kf6_bindir}/tastenbrett
%{_kf6_configdir}/autostart/kaccess.desktop
%{_kf6_configkcfgdir}/*.kcfg
%{_kf6_dbuspolicydir}/org.kde.kcontrol.kcmclock.conf
%{_kf6_debugdir}/*.categories
%{_kf6_knsrcfilesdir}/krunner.knsrc
%{_kf6_knsrcfilesdir}/ksplash.knsrc
%{_kf6_notificationsdir}/kaccess.notifyrc
%{_kf6_plasmadir}/layout-templates/
%{_kf6_plasmadir}/packages/
%{_kf6_plasmadir}/plasmoids/
%{_kf6_plasmadir}/shells/
%{_kf6_plugindir}/attica_kde.so
%{_kf6_plugindir}/kf6/kded/device_automounter.so
%{_kf6_plugindir}/kf6/kded/keyboard.so
%{_kf6_plugindir}/kf6/kded/kded_touchpad.so
%{_kf6_plugindir}/kf6/krunner/
%dir %{_kf6_plugindir}/plasma/kcms/desktop/
%{_kf6_plugindir}/plasma/kcms/desktop/kcm_krunnersettings.so
%{_kf6_plugindir}/plasma/kcms/systemsettings/kcm_access.so
%{_kf6_plugindir}/plasma/kcms/systemsettings/kcm_activities.so
%{_kf6_plugindir}/plasma/kcms/systemsettings/kcm_baloofile.so
%{_kf6_plugindir}/plasma/kcms/systemsettings/kcm_componentchooser.so
%{_kf6_plugindir}/plasma/kcms/systemsettings/kcm_desktoppaths.so
%if %{with gamecontroller_kcm}
%{_kf6_plugindir}/plasma/kcms/systemsettings/kcm_gamecontroller.so
%endif
%dir %{_kf6_plugindir}/plasma/kcminit
%{_kf6_plugindir}/plasma/kcminit/kcm_mouse_init.so
%{_kf6_plugindir}/plasma/kcminit/kcm_touchpad_init.so
%{_kf6_plugindir}/plasma/kcms/systemsettings/kcm_mouse.so
%{_kf6_plugindir}/plasma/kcms/systemsettings/kcm_touchpad.so
%{_kf6_plugindir}/plasma/kcms/systemsettings/kcm_kded.so
%{_kf6_plugindir}/plasma/kcms/systemsettings/kcm_keyboard.so
%{_kf6_plugindir}/plasma/kcms/systemsettings/kcm_keys.so
%{_kf6_plugindir}/plasma/kcms/systemsettings/kcm_landingpage.so
%{_kf6_plugindir}/plasma/kcms/systemsettings/kcm_plasmasearch.so
%{_kf6_plugindir}/plasma/kcms/systemsettings/kcm_smserver.so
%{_kf6_plugindir}/plasma/kcms/systemsettings/kcm_splashscreen.so
%{_kf6_plugindir}/plasma/kcms/systemsettings/kcm_tablet.so
%{_kf6_plugindir}/plasma/kcms/systemsettings/kcm_touchscreen.so
%{_kf6_plugindir}/plasma/kcms/systemsettings/kcm_workspace.so
%{_kf6_plugindir}/plasma/kcms/systemsettings_qwidgets/kcm_clock.so
%{_kf6_plugindir}/plasma/kcms/systemsettings_qwidgets/kcm_device_automounter.so
%{_kf6_plugindir}/plasma/kcms/systemsettings_qwidgets/kcm_qtquicksettings.so
%{_kf6_plugindir}/plasma/kcms/systemsettings_qwidgets/kcm_recentFiles.so
%{_kf6_plugindir}/plasma/kcms/systemsettings_qwidgets/kcm_solid_actions.so
%{_kf6_plugindir}/plasma/kcms/systemsettings_qwidgets/kcmspellchecking.so
%{_kf6_qmldir}/org/kde/plasma/
%{_kf6_qmldir}/org/kde/private/
%dir %{_kf6_sharedir}/accounts/
%dir %{_kf6_sharedir}/accounts/providers
%dir %{_kf6_sharedir}/accounts/providers/kde/
%{_kf6_sharedir}/accounts/providers/kde/opendesktop.provider
%dir %{_kf6_sharedir}/accounts/services
%dir %{_kf6_sharedir}/accounts/services/kde/
%{_kf6_sharedir}/accounts/services/kde/opendesktop-rating.service
%{_kf6_sharedir}/dbus-1/system-services/org.kde.kcontrol.kcmclock.service
%{_kf6_sharedir}/kcm_recentFiles/
%{_kf6_sharedir}/kcmkeys/
%{_kf6_sharedir}/kcmsolidactions/
%{_kf6_sharedir}/polkit-1/actions/org.kde.kcontrol.kcmclock.policy
%dir %{_kf6_sharedir}/sddm
%dir %{_kf6_sharedir}/sddm/themes
%{_kf6_sharedir}/sddm/themes/breeze/
%{_kf6_sharedir}/solid/
%{_kf6_libexecdir}/kauth/kcmdatetimehelper
%{_kf6_iconsdir}/hicolor/*/devices/input-touchpad.*
%{_kf6_sharedir}/kcmmouse/
%{_kf6_notificationsdir}/kcm_touchpad.notifyrc
%exclude %{_kf6_plasmadir}/emoji/
%ifnarch s390 s390x
%{_kf6_bindir}/kapplymousetheme
%{_kf6_bindir}/kcm-touchpad-list-devices
%endif
%{_userunitdir}/plasma-kaccess.service

%files emojier
%{_kf6_applicationsdir}/org.kde.plasma.emojier.desktop
%{_kf6_bindir}/plasma-emojier
%{_kf6_plasmadir}/emoji/
%{_kf6_sharedir}/kglobalaccel/org.kde.plasma.emojier.desktop

%files -n plasma6-kimpanel-ibus
%{_libexecdir}/kimpanel-ibus-panel
%{_libexecdir}/kimpanel-ibus-panel-launcher

%files -n plasma6-kimpanel-scim
%{_libexecdir}/kimpanel-scim-panel

%files lang -f %{name}.lang
%exclude %{_kf6_htmldir}/en
%{_kf6_sharedir}/locale/sr*/LC_SCRIPTS/

%changelog
* Tue Dec 31 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.2.5:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.2.5
- Changes since 6.2.4:
  * update version for new release
  * applets/taskmanager: Don't try to find service for application/octet-stream
  * appiumtests: skip test_6_sentry_3516_load_layout in CI
  * appiumtests: click Cancel to close file dialog
  * [kcms/mouse] Handle missing backend more gracefully
  * [kcm/access] Fix description of what locking sticky keys does
  * [kcms/mouse] Don't emit needsSaveChanged when adding device (kde#495231)
  * update version for new release
* Tue Nov 26 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.2.4:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.2.4
- Changes since 6.2.3:
  * update version for new release
  * Fill panel width/height in custom/fit content modes when flexible spacer is in panel (kde#495378)
  * update version for new release
* Thu Nov 14 2024 Christophe Marin <christophe@krop.fr>
- Replace plasma6-framework-components 'Requires' with
  libplasma6-components
* Tue Nov  5 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.2.3:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.2.3
- Changes since 6.2.2:
  * update version for new release
  * Application Dashboard: Show app tooltips properly (kde#494802)
  * applets/taskmanager: Fix icon alignment when is reversed (kde#489648)
  * emojier: do substring search in emoji annotations as well (kde#435787)
  * activitymanager: Avoid infinite loop in ActivityList
  * positioner: Make sure we check deferMovePositions exist
  * appiumtests: fix desktoptest
  * appiumtests: fix kcm_plasmasearch_test
  * applets/taskmanager: use TextMetrics directly to elide long recent items
* Tue Oct 22 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.2.2:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.2.2
- Changes since 6.2.1:
  * update version for new release
  * Foldermodel: Save item positions when any item gets renamed
  * FolderView: Ignore file-related clicks if rename editor is open and is clicked (kde#494558)
  * update version for new release
* Tue Oct 15 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.2.1:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.2.1
- Changes since 6.2.0:
  * update version for new release
  * kcms/tablet: Parent the action dialog to the overlay instead of the KCM
  * kcms/tablet: Fix calibration window not appearing on the correct screen
  * kcms/tablet: Add asserts to make sure width/height are above 0
  * kcms/tablet: Cancel calibration when the device is removed
  * libkwindevices: Add signal for device removal
  * kcms/tablet: Add more safeguards against possible null derefs and OOB
  * kcms/tablet: Improve calibration accuracy
  * kcms/tablet: Hide the stylus cursor when calibrating
  * kcms/touchpad: remove extra padding from QtWidgets wrapper layout (kde#493994)
  * update version for new release
* Sat Oct  5 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.2.0:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.2.0
- Changes since 6.1.90:
  * update version for new release
  * applets/pager: Remove animations
  * FolderViewLayer.qml: Load the icon positions when geometry changes (kde#493569)
  * Use strict available space for positioning widget explorer sidebar (kde#493592)
  * WidgetExplorer: make margins perfect
  * WidgetExplorer: improve header margins
  * kcms/ksplash: Correctly remove entries when uninstalled via kns
  * desktop/RenameEditor.qml: Use QQC2 TextArea to add context menu (kde#427292)
  * desktoppackage: suppress onSettingValueChanged error
  * [kcms/automounter] Fix crash on close (kde#484690)
  * applets/kickoff: close on session/power action (kde#493439)
  * kcms/keys: Wrap long shortcut names (kde#493371)
  * applets/kickoff: use symbolic icons for categories (kde#457077)
  * applets/window-list: use new popup placement enum
  * kcms/touchpad: Make four strings translatable
  * kaccess: Order service after plasma-core.target
  * [kcms/keys] Don't write into a read-only KConfigGroup (kde#493161)
  * Only open panel settings when closing widget sidebar if manually closed (kde#493048)
  * Make ConfigOverlay fill applet area, not entire panel (kde#492919)
  * Always consider autohide panels in the edit mode zoom (kde#493143)
  * applets/showdesktop: Minimize All in LRU order
  * containments/desktop: fix single-click to rename (kde#493124)
  * Fix highlight on RTL layouts (kde#491055)
  * containments/panel: don't assign undefined to bool
* Tue Sep 17 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.1.90:
  * New feature release
  * For more details see https://kde.org/announcements/plasma/6/6.1.90
- Too many changes to list here
* Tue Sep 10 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.1.5:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.1.5
- Changes since 6.1.4:
  * update version for new release
  * containments/desktop: Use show-background icon (kde#472863)
  * kcms/keyboard: fix nonexistent header in dev build
  * appiumtests: downgrade test windows to GTK3
  * kcms/access: Set selected state on delegate when appropriate
  * Hide empty categories (kde#478472)
  * kcms/libkwindevices: use function value instead of function (kde#491506)
  * applets/kickoff: Fix keyboard navigation getting stuck inside gridviews (kde#489867)
  * applets/taskmanager: fix task list RTL alignment (kde#491211)
  * WidgetExplorer.qml: work around QML transition bug with animations off (kde#483962)
  * appiumtests: run emojiertest on X11
  * update version for new release
* Tue Aug  6 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.1.4:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.1.4
- Changes since 6.1.3:
  * update version for new release
  * Make X-KDE-Init-Phase a proper in in JSON and remove obsolete X-KDE-Init-Symbol values
  * Folder View: hide existing label while renaming (kde#482802)
  * Folder View: re-transfer focus to grid view after rename (kde#491088)
  * Use bindings for anchors (kde#489492)
  * Restore the folderview title config
  * applets/taskmanager: fix size of textual list popup
  * applets/taskmanager: Fix applet's layout size with multiple rows (kde#490319)
  * [kcms/access] Set range for visual bell duration selector
* Tue Jul 16 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.1.3:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.1.3
- Changes since 6.1.2:
  * update version for new release
  * Fix kcm_clock save on non-systemd distros
  * KeyboardButton: Check if longName is undefined
  * Use a shared QQmlEngine when possible (kde#488326)
  * lockscreen: fix the check for authentication prompts (kde#485520)
  * update version for new release
  * Edit Mode: Fix for blurry icons (kde#488920)
* Tue Jul  2 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.1.2:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.1.2
- Changes since 6.1.1:
  * [kcm/keyboard] Add missing GENERATE_MOC to kconfig_add_kcfg_files
  * update version for new release
  * kcms/keyboard: fix width and immutability of layout table headers (kde#488957)
  * Make panel config tooltips ask for focus after each applet change (kde#487640)
  * kcms/access: Bump the minimum cursor magnification factor (kde#489333)
  * kcms/access: fix list item highlighting (kde#489206)
  * Always center "Add Widgets" button on empty panels (kde#488789)
  * update version for new release
* Tue Jun 25 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.1.1:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.1.1
- Changes since 6.1.0:
  * update version for new release
  * remove dup appstream versions
  * Do not hide panel edit mode dialog when Widget Explorer is closed
  * Widget Explorer: ask for focus after drag and drop (kde#488571)
  * applets/taskmanager: Properly size Task icons (kde#488733)
  * Read "padding" instead of "margin" of dialog (kde#488901)
  * [kcms/keyboard] tastenbrett: more correct handling of xkb_keysym_*
  * applets/taskmanager: Fix grid layout for forced multiple rows/columns (kde#488702)
  * Panel: fix adaptive opacity not reacting to maximized windows (kde#488736)
  * Use the proper translation domain
  * sddm-theme: Make the thing translatable
  * applets/kickoff: support styled text in label again
  * update version for new release
  * FolderView Positioner: fix dragging files across screens. (kde#481254,kde#466337)
* Thu Jun 13 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.1.0:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.1.0
- Changes since 6.0.90:
  * update version for new release
  * appstream versions
  * update version for new release
  * kcms/tablet: Fix wrong aspect ratio for output item
  * kickoff/main.qml: Round backgroundMetrics (kde#487625)
  * foldermodel.cpp: add context to menu connection
  * applets/kicker: Do not set a minimum size (kde#487562)
  * Anchor the desktop containment to the proper element (kde#487717)
  * Don't activate plasmoid on layout change (kde#484216)
  * Revert "Panel: don't round floating paddings to smoothen animation" (kde#484888)
  * Only defloat the panel when the window is directly intersecting it (kde#482468)
  * Revert "kcms/baloo: use frameless style for InlineMessages in header"
* Sat May 25 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.0.90:
  * New feature release
  * For more details see https://kde.org/announcements/plasma/6/6.0.90
- Too many changes to list here
* Wed May 22 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.0.5:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.0.5
- Changes since 6.0.4:
  * remove dup version
  * update version for new release
  * applets/showActivityManager: Fix and improve layout (kde#482098)
  * applets/kicker: cap maximum icon size (kde#482612)
  * kickoff: Use Kirigami.Units.iconSizes.huge as maximum icon size (kde#467004)
  * Panel: don't double count floatingPadding (kde#482468)
  * On multiline launchers are often as wide as tasks
  * Fix keyboard navigation (kde#485588,kde#477348)
* Wed Apr 17 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.0.4:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.0.4
- Changes since 6.0.3:
  * update version for new release
  * applets/kickoff: fix invalid mimeData from item delegates (kde#485485)
  * applets/taskmanager: show text more often for traditional Task Manager (kde#483070)
  * foldermodel: Export urls to the Desktop Portal on drag and copy
  * Add floating margin to panel highlight indicator (kde#485112)
  * FolderView: Do not clear hover when moving mouse over items (kde#483581)
  * applets/kickoff: Disable reusing items (kde#445512)
  * Desktop: check containment availability first before `usedInAccentColor`
  * Revert "applets/taskmanager: simplify right press handling" (kde#482813)
  * kcms/mouse: Sync values when layout becomes enabled
  * revert premature appstream update
  * update version for new release
  * gamecontroller: Do SDL_Init later.
  * gamecontroller: Do less SDL polling when there aren't devices yet.
  * update version for new release
* Mon Apr  1 2024 Sarah Kriesch <sarah.kriesch@opensuse.org>
- Add "-DBUILD_KCM_MOUSE_X11=OFF" for s390x
- Move touchpad and mouse configuration to all (also for s390x)
* Tue Mar 26 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.0.3:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.0.3
- Changes since 6.0.2:
  * revert duplicate appstream update
  * update version for new release
  * applets/taskmanager: remove unnecessary Layout properties
  * applets/taskmanager: Drop pipewire window thumbnail opacity animation
  * applets/taskmanager: Don't base the amount of space reserved for the thumbnail on the header (kde#481044)
  * Revert "Panel: Don't take keyboard focus when one of its widgets is activated"
  * Folder View: fix label rendering for popup and widget views (kde#484163)
  * Panel: don't round floating paddings to smoothen animation
  * applets/kimpanel: Fix save font option
  * Kicker: Fix submenus appearing in taskmanager (kde#481955)
  * Cancel edit prior reparenting the applet
  * solid-device-automounter/kcm: do not create proxy widget in initializer list
  * Filter out enter (kde#482123)
* Wed Mar 13 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.0.2:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.0.2
- Changes since 6.0.1:
  * appiumtests: match screenshot to test wallpaper DBus API
  * update version for new release
  * kcm/keys: fix custom shortcut alignment (kde#483169)
  * Panel: Don't take keyboard focus when one of its widgets is activated (kde#479084,kde#482653)
  * appiumtests: add test to make sure ShellCorona gives ready signal to KSplash
  * Folder Model: Handle invalid URL in desktop file (kde#482889)
  * kcms/landingpage: load theme preview image asynchronously
  * Rework logic to know who is the first visible results view (kde#482736)
  * Do not let ConfigOverlay cover the toolbox (kde#482218)
  * kcms/mouse: Don't crash when no supported backend is found (kde#482048)
  * Don't overwrite files in the model positions on drop (kde#482302)
  * update version for new release
* Wed Mar  6 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.0.1:
  * New bugfix release
  * For more details see https://kde.org/announcements/plasma/6/6.0.1
- Changes since 6.0.0:
  * update version for new release
  * Keep first selected item if currentIndex is 0
  * Fix kicker close on click away (kde#482324)
  * Fix some warnings
  * Disable internal Key navigation (kde#482005)
  * AppletError: Use compact error message from libplasma as the header
  * 🍒Fix default appstream handler (kde#481932)
  * appiumtests: move desktop tests to its own folder
  * Fix running appstreamtest
  * kcms:keys: fix changing command text or path (kde#481825)
  * FolderView Positioner: fix rows insert and remove (kde#481254,kde#466337)
  * applets/taskmanager: simplify right press handling
  * Revert "Fix i18n domain"
* Mon Mar  4 2024 Christophe Marin <christophe@krop.fr>
- Add Provides/Obsoletes to replace Plasma 5
* Thu Feb 29 2024 Christophe Marin <christophe@krop.fr>
- Fix build with SDL2 versions older than 2.0.16
* Wed Feb 21 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 6.0.0:
  * New bugfix release
  * Release announcement not available yet
- Changes since 5.93.0:
  * update version for new release
  * kcms/plasmasearch: don't crash on dragging favorties to the end (kde#481594)
  * applets/taskmanager: don't show the virtual desktop number next to the VD name (kde#481576)
  * applets/kimpanel: fix loading config dialog
  * kicker/dash: fix category list items' vertical margins (kde#480664)
  * Remove again the touchpad applet
  * appiumtests/bug477220: compare difference instead of matching region
  * 🍒applets/taskmanager: reset animating property on mouse enter (kde#465377)
  * appiumtests/bug476968: fix test_bug476968
  * Panel: use new API to calculate regionGeometry (kde#481379)
  * kickoff: Use Item as searchField property type
  * DefaultCompactRepresentation: accept key pressed event (kde#481393)
  * PanelConfiguration: use appropriate string for vertical panels
  * applets/kicker: fix favourites actions for Kicker in qt 6.7
  * install a kde-mimeapps.list (kde#305136)
  * applets/kickoff: fix favourites actions for Kickoff in QT 6.7 (kde#479183)
  * Fix i18n domain
  * Remove old panel focus workaround
  * containments/desktop: make mime filter case insensitive
  * containments/desktop: fix mimeTypesView in ConfigFilter
  * appiumtests/bug47722: revert expect fail in test_2_bug477220_open_context_menu
  * update version for new release
* Wed Jan 31 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.93.0 (6.0 RC 2):
  * New bugfix release
  * See https://kde.org/announcements/megarelease/6/rc2/ for details
- Too many changes to list here
* Wed Jan 17 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 5.92.0 (6.0 RC 1)
  * For more details please see:
    https://kde.org/announcements/megarelease/6/rc1/
* Sat Dec  2 2023 Luca Beltrame <lbeltrame@kde.org>
- Refreshed patches:
  * 0001-Apply-branding-to-default-favorites.patch
* Sun Jul  9 2023 Christophe Marin <christophe@krop.fr>
- Init plasma6-desktop
